Bug 239159 - (perl-Net-IPv4Addr) Review Request: perl-Net-IPv4Addr - Perl extension for manipulating IPv4 addresses
Review Request: perl-Net-IPv4Addr - Perl extension for manipulating IPv4 addr...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
: Reopened
Depends On:
Blocks: 239160 perl-Net-IPv6Addr
  Show dependency treegraph
 
Reported: 2007-05-05 09:27 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-30 18:09:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cweyl: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 09:27:47 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-IPv4Addr.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Net-IPv4Addr-0.10-1.fc7.src.rpm

Description: 
Net::IPv4Addr provides functions for parsing IPv4 addresses both in traditional
address/netmask format and in the new CIDR format. There are also methods for
calculating the network and broadcast address and also to see check if a given
address is in a specific network.
Comment 1 Chris Weyl 2007-05-05 19:21:13 EDT
Missing BR on perl(ExtUtils::MakeMaker) and perl(Test::More); License is
(by convention) generally written as "GPL or Artistic", rather than the other
way around.

Make the above changes, and I'll approve :)

+ source files match upstream:
 57aa8e28ebcd4c0c9f15792740e53d3c  Net-IPv4Addr-0.10.tar.gz
 57aa8e28ebcd4c0c9f15792740e53d3c  ../Net-IPv4Addr-0.10.tar.gz
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate (noarch)
+ %clean is present.
+ package installs properly
+ rpmlint is silent.
+ final provides and requires are sane:
 ** perl=Net-IPv4Addr-0.10-1.fc6.noarch.rpm
 == rpmlint
 == provides
 perl(Net::IPv4Addr) = 0.10
 perl-Net-IPv4Addr = 0.10-1.fc6
 == requires
 /usr/bin/perl  
 perl(:MODULE_COMPAT_5.8.8)  
 perl(Carp)  
 perl(Getopt::Long)  
 perl(Net::IPv4Addr)  
 perl(strict)  
 perl(vars) :lcheck is present and all tests pass
+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
Comment 3 Chris Weyl 2007-05-05 19:49:34 EDT
APPROVED
Comment 4 Sindre Pedersen Bjørdal 2007-05-05 19:54:36 EDT
New Package CVS Request
=======================
Package Name: perl-Net-IPv4Addr
Short Description: Perl extension for manipulating IPv4 addresses
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: jaa@redhat.com
Comment 5 Dennis Gilmore 2007-05-06 01:46:50 EDT
cvs done
Comment 6 Sindre Pedersen Bjørdal 2007-05-28 17:03:39 EDT
Seems the F7 branch wasn't created during merge, please add it.

New Package CVS Request
=======================
Package Name: perl-Net-IPv4Addr
Short Description: Perl extension for manipulation IPv4 addresses
Owners: foolish@guezz.net
Branches: F-7
Comment 7 Dennis Gilmore 2007-05-28 17:09:50 EDT
branched for F-7

Note You need to log in before you can comment on or make changes to this bug.